JNA API 3.3.0

## com.sun.jna.platform.unix
Class X11.XNoExposeEvent

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.unix.X11.XNoExposeEvent

Enclosing interface:
  X11

    public static class X11.XNoExposeEvent

extends Structure

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary
`X11.Display` | `display`
`X11.Drawable` | `drawable`
`int` | `major_code`
`int` | `minor_code`
`int` | `send_event`
`NativeLong` | `serial`
`int` | `type`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`X11.XNoExposeEvent()`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### type

    public int type

### serial

    public NativeLong serial

### send_event

    public int send_event

### display

    public X11.Display display

### drawable

    public X11.Drawable drawable

### major_code

    public int major_code

### minor_code

    public int minor_code

Constructor Detail

### X11.XNoExposeEvent

    public X11.XNoExposeEvent()

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.